/* $Id: AppKind.java,v 1.1 2008/01/11 09:08:49 stokin Exp $
*
* Copyright (c)ARGO 21, Corporation. 2005.  All rights reserved.
 * 
 * This file is part of Nautica Workflow.
 * 
 *  Nautica Workflow is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  Nautica Workflow is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with Nautica Workflow; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *  
*/
package jp.co.argo21.nautica.workflow.sample.model;

/**
 * 申請種別を表すクラス。
 * 
 * @author  ruchida(Argo 21, Corp.)
 * @version $Revision: 1.1 $
 * @since   Nautica Workflow 0.9
 */
public class AppKind {

    /** 時間外労働申請の申請種別コード */
    public static final String OVERTIME_APPLICATION_ID = "overtime";
    
    /** 申請種別コード */
    private String appkindID;
    
    /** 申請種別名 */
    private String appkindName;
    
    /** ロールID */
    private String roleID;
    
    /** 申請テーブル名 */
    private String appTableName;
    
    /** 承認ブロック数 */
    private int approveAccount;
    
    /** 同報ブロック数 */
    private int confirmAccount;
        
    /**
     * 申請種別コードを返す。
     * 
     * @return 申請種別コード
     */
    public String getAppkindID() {
        return appkindID;
    }
    
    /**
     * 申請種別コードを設定する。
     * 
     * @param appkindID 申請種別コード
     */
    public void setAppkindID(String appkindID) {
        this.appkindID = appkindID;
    }

    /**
     * 申請種別名を返す。
     * 
     * @return 申請種別名
     */
    public String getAppkindName() {
        return appkindName;
    }
    
    /**
     * 申請種別名を設定する。
     * 
     * @param appkindName 申請種別名
     */
    public void setAppkindName(String appkindName) {
        this.appkindName = appkindName;
    }
    
    /**
     * ロールIDを返す。
     * 
     * @return ロールID
     */
    public String getRoleID() {
        return roleID;
    }
    
    /**
     * ロールIDを設定する。
     * 
     * @param roleID ロールID
     */
    public void setRoleID(String roleID) {
        this.roleID = roleID;
    }

    /**
     * 申請テーブル名を返す。
     * 
     * @return 申請テーブル名
     */
    public String getAppTableName() {
        return appTableName;
    }
    
    /**
     * 申請テーブル名を設定する。
     * 
     * @param appTableName 申請テーブル名
     */
    public void setAppTableName(String appTableName) {
        this.appTableName = appTableName;
    }
    
    /**
     * 承認ブロック数を返す。
     * 
	 * @return 承認ブロック数
	 */
	public int getApproveAccount() {
        return approveAccount;
    }
    
    /**
     * 承認ブロック数を設定する。
     * 
	 * @param approveAccount 承認ブロック数
	 */
	public void setApproveAccount(int approveAccount) {
        this.approveAccount = approveAccount;
    }
    
    /**
     * 同報ブロック数を返す。
     * 
     * @return 同報者数
     */
    public int getConfirmAccount() {
        return confirmAccount;
    }
    
    /**
     * 同報ブロック数を設定する。
     * 
     * @param confirmAccount 同報者数
     */
    public void setConfirmAccount(int confirmAccount) {
        this.confirmAccount = confirmAccount;
    }
}


